Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.model.meta
Enum Phase

    java.lang.Object
      java.lang.Enum<Phase>
          org.teleal.cling.model.meta.Phase

All Implemented Interfaces:
  Serializable, Comparable<Phase>

    public enum Phase

extends Enum<Phase>

Enum Constant Summary
`DESCRIBED`
`DISCOVERED`
`HYDRATED`

Method Summary
`static Phase` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Phase[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DISCOVERED

    public static final Phase DISCOVERED

### DESCRIBED

    public static final Phase DESCRIBED

### HYDRATED

    public static final Phase HYDRATED

Method Detail

### values

    public static Phase[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Phase c : Phase.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Phase valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.